/* Room avatars */
.bwi_DecoratedRoomAvatar_federation_Icon {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 45%;
}

.bwi_DecoratedRoomAvatar_roomSummary {
    display: inline-flex;
}

/* Icon */
.bwi_FederationIcon {
    display: flex;
    align-items: flex-end;
}
.bwi_FederationIcon_background {
    fill: var(--_federation-icon-bg, var(--cpd-color-bg-canvas-default));
}
.bwi_FederationIcon_foreground {
    fill: $bwi-federation-icon-fg;
}

.bwi_FederationStateEventIcon {
    width: 20px;
    height: 20px;

    &::before {
        content: "";
        position: absolute;
        width: 20px;
        height: 20px;
        background-color: var(--cpd-color-icon-tertiary);
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        -webkit-mask-size: contain;
        mask-size: contain;

        mask-image: url("../../../img/bwi/exclamationMark.svg");
        mask-position: center;
    }
}
